/***************************************************************************
 *   Copyright (C) 2005 by Karl Erlandsen #c1198379                        *
 *   c1198379@bmth.ac.uk                                                   *
 *                                                                         *
 * This header file contains definitions for "filter.cpp", the filtering   *
 * code that actually performs the                                         *
 * recolorizing operation.                                                 *
 *                                                                         *
 * Not for use without the authors permission				   *
 ***************************************************************************/
 
#ifndef FILTER_H
#define FILTER_H

class yuvimage;

/*Our filter function. It takes 3 YUV image inputs - a black and white image ("input"),
an image marked by the user ("marked") and an image to write the results of the filtering
operation to ("filtered"). It uses collects samples in a radius of "sampleSize" around
each pixel - higher equals better results, but much more calculation time. 1 is a good
dafult value*/
void filter(yuvimage &input, yuvimage &marked, yuvimage &filtered, unsigned int sampleSize);

#endif
